I cannot remember in which way I installed R. But my current version is:
Code:
platform       x86_64-suse-linux-gnu       
arch           x86_64                      
os             linux-gnu                   
system         x86_64, linux-gnu           
status                                     
major          3                           
minor          5.0                         
year           2018                        
month          04                          
day            23                          
svn rev        74626                       
language       R                           
version.string R version 3.5.0 (2018-04-23)
nickname       Joy in Playing
When I want to update it tells me:

Code:
(base) main@linux-7qur:~> sudo zypper update R-base
[sudo] password for root: 
Loading repository data...
Reading installed packages...
No update candidate for 'R-base-3.5.0-lp151.6.53.x86_64'. The highest available version is already installed.
Resolving package dependencies...

Nothing to do.
Although it is not the most recent version. Working with it so far was fine. But now I really need the package "VGAM".
Installing it gives me:

Code:
install.packages("VGAM")
Installing package into ‘/home/main/R/x86_64-suse-linux-gnu-library/3.5’
(as ‘lib’ is unspecified)
trying URL 'https://cran.rstudio.com/src/contrib/VGAM_1.1-1.tar.gz'
Content type 'application/x-gzip' length 2624046 bytes (2.5 MB)
==================================================
downloaded 2.5 MB

* installing *source* package ‘VGAM’ ...
** package ‘VGAM’ successfully unpacked and MD5 sums checked
** libs
gcc -I"/usr/lib64/R/include" -DNDEBUG   -I/usr/local/include   -fpic  -fmessage-length=0 -grecord-gcc-switches -O2 -Wall -D_FORTIFY_SOURCE=2 -fstack-protector-strong -funwind-tables -fasynchronous-unwind-tables -fstack-clash-protection -g  -c VGAM_init.c -o VGAM_init.o
/bin/sh: gcc: command not found
make: *** [/usr/lib64/R/etc/Makeconf:159: VGAM_init.o] Error 127
ERROR: compilation failed for package ‘VGAM’
* removing ‘/home/main/R/x86_64-suse-linux-gnu-library/3.5/VGAM’
* restoring previous ‘/home/main/R/x86_64-suse-linux-gnu-library/3.5/VGAM’
Warning in install.packages :
  installation of package ‘VGAM’ had non-zero exit status

The downloaded source packages are in
    ‘/tmp/RtmpkGtevI/downloaded_packages’
So I downloaded the package on https://www.stat.auckland.ac.nz/~yee...download.shtmland put it in the folder of the other packages. Then using library gives me:
Code:
library(VGAM)
Error in library(VGAM) : ‘VGAM’ is not a valid installed package
What to do? I need the package ASAP. I hope anyone is familiar with that problem.

regards